export function getCookieDomain(url: any, logger: any): string | null;
/**
 * Construct a cookie string to set the OptimizelyOptOut cookie in the opt out
 * response.
 * @param {String} cookieDomain
 * @param {Boolean} [secureCrossSiteCookies false]
 * @return {String} The opt out response will write to document.cookie.
 */
export function getOptOutCookieString(cookieDomain: string, secureCrossSiteCookies?: boolean | undefined): string;
export function getSessionCookieString(sessionId: any): string;
export namespace SECURE_CROSSSITE_OPTIONS {
    let sameSite: string;
    let secure: boolean;
}
export function getCookieString(...args: any[]): string;
